Bug 1152449

Summary: Remove extra dependencies
Product: [Fedora] Fedora Reporter: Sudhir Khanger <sudhir>
Component: deja-dupAssignee: Rahul Sundaram <metherid>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: fedora, jitesh.1337, kengert, metherid, mike, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: deja-dup-32.0-3.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-01 16:47:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Sudhir Khanger 2014-10-14 08:13:04 UTC
Description of problem: 

Deja-dup requires way too many dependencies on Fedora. I don't run Gnome and I would like to avoid as many Gnome based dependencies as possible. Is there a way to get rid of dependencies that aren't essential to the core functionality of deja-dup? Maybe we could package them as deja-dup-extra.

Here are the dependencies required by deja-dup on Fedora.
adwaita-gtk2-theme adwaita-gtk3-theme desktop-backgrounds-gnome duplicity exempi gjs gmime gnome-desktop3 gnome-js-common gnome-themes-standard heisenbug-backgrounds-gnome libcue libgsf libgxps libiptcdata libosinfo libpeas libquvi libquvi-scripts librsync lua-expat lua-json lua-lpeg lua-socket nautilus nautilus-extensions ncftp python-GnuPGInterface python-boto python-cloudfiles python-dropbox seed totem-pl-parser tracker

Here are the dependencies required by deja-dup on Arch Linux. Some of them are optional and make dependencies.
duplicity
gvfs
libnotify
libpeas
python2-gobject
xdg-utils
gnome-keyring (optional) - save passwords
nautilus (optional) - backup extension
python2-boto (optional) - Amazon S3 backend
cmake (make)
intltool (make)
itstool (make)
nautilus (make)
vala (make)


Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rahul Sundaram 2014-10-14 14:05:02 UTC
The explicit requires in deja-dup is pretty minimal

Requires:       duplicity >= 0.6.23
Requires:       python-cloudfiles
Requires:       dconf
Requires(post): /usr/bin/gtk-update-icon-cache
Requires(postun): /usr/bin/gtk-update-icon-cache

Everything else is either getting picked up automatically or is actually a dependency of duplicity etc.  The only think I can think of to split is the nautilus dependency into a sub package.

Comment 2 Sudhir Khanger 2014-10-15 11:04:21 UTC
Thanks Rahul. That is something I would like. I hope that would avoid downloading particular themes and wallpapers which I think are pulled by nautilus and not deja-dup itself.

Looking forward to the split packages.

Comment 3 Rahul Sundaram 2014-10-17 12:06:07 UTC
Here is a scratch build for you to test

http://koji.fedoraproject.org/koji/taskinfo?taskID=7894485

I intend to push this change only for Rawhide and Fedora 21 however

Comment 4 Fedora Update System 2014-10-17 13:13:31 UTC
deja-dup-32.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/deja-dup-32.0-2.fc21

Comment 5 Fedora Update System 2014-10-17 19:44:38 UTC
Package deja-dup-32.0-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing deja-dup-32.0-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13096/deja-dup-32.0-2.fc21
then log in and leave karma (feedback).

Comment 6 Tim Waugh 2014-10-18 20:15:44 UTC
The extension is still shipped in the main package.

$ rpm -q deja-dup
deja-dup-32.0-2.fc21.x86_64
$ rpm -ql deja-dup | grep extension
/usr/lib64/nautilus/extensions-3.0/libdeja-dup.so

Comment 7 Rahul Sundaram 2014-10-18 23:14:10 UTC
Please test this scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=7905648

Comment 8 Rahul Sundaram 2014-10-18 23:19:42 UTC
I meant

http://koji.fedoraproject.org/koji/taskinfo?taskID=7905659

Comment 9 Tim Waugh 2014-10-20 10:08:06 UTC
(In reply to Rahul Sundaram from comment #8)
> I meant
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=7905659

That one looks good.

Comment 10 Fedora Update System 2014-10-20 13:12:24 UTC
deja-dup-32.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/deja-dup-32.0-3.fc21

Comment 11 Fedora Update System 2014-11-01 16:47:16 UTC
deja-dup-32.0-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.